4 Replies Latest reply: Jul 18, 2013 6:14 AM by masijade RSS

    Thin Driver JDBC Connection with Cwallet.sso (SSL Encryption) and JRE1.7

    user8757797

      Hi,

      I recently upgraded the Java version on my local machine with JRE1.7 64 bit and ever since that my code which was previously working fine with JRE1.6 has stopped working.

      The upgraded Java Version is java.version=1.7.0_09

      and the working version is java.version=1.6.0_30

      The exception I am getting is:

      javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: Path does not chain with any of the trust anchors

       

      The same code works with the previous jre version.

      Are there any changes to the newer version which need to be done in order to get this working.

       

       

       

      Regards,

      Shri.